<?php
/**
 * JE GroupBuy package
 * @author J-Extension <contact@jextn.com>
 * @link http://www.jextn.com
 * @copyright (C) 2011 - 2012 J-Extension
 * @license GNU/GPL, see LICENSE.php for full license.
**/

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.controller');

class jegroupbuyController extends JController
{
	/**
	 * Method to display a view.
	 *
	 * @param	boolean			If true, the view output will be cached
	 * @param	array			An array of safe url parameters and their variable types, for valid values see {@link JFilterInput::clean()}.
	 *
	 * @return	JController		This object to support chaining.
	 * @since	1.5
	 */
	public function display($cachable = false)
	{
    	// set default view if not set
        JRequest::setVar('view', JRequest::getCmd('view', 'products'));
 		// call parent behavior
        parent::display($cachable);
		// Set the submenu

		// Load the submenu.
		jegroupbuyHelper::addSubmenu(JRequest::getCmd('view', 'products'));
	}
}
